package projet;

import jakarta.servlet.ServletException;
import jakarta.servlet.annotation.WebServlet;
import jakarta.servlet.http.HttpServlet;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import jakarta.servlet.http.HttpSession;

import java.io.IOException;

@WebServlet("/SupprimerPage")
public class SupprimerPage extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
    public SupprimerPage() {
        super();
    }

	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		Utilisateur u = (Utilisateur) session.getAttribute("utilisateur");
		
		if(u != null) {
			response.sendRedirect("AfficherPage");
		}else {
			response.sendRedirect("/Projet/");
		}
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		HttpSession session = request.getSession();
		Utilisateur u = (Utilisateur) session.getAttribute("utilisateur");
		
		if(u != null) {
			String idPageStr = request.getParameter("pageId");
			
			int idPage = Integer.parseInt(idPageStr);
			
			Page.supprimerPage(idPage, u.getId());
			response.sendRedirect("AfficherPage");	
		} else {
			response.sendRedirect("/Projet/");
		}
	}

}
